## qtscxml-everywhere-src 5.15.2

=== tests/auto/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
  Scxml QScxmlEvent
)

expect_pass(test_qtscxml_module)

## qtscxml-everywhere-src 5.12.5

=== debian/changelog ===
qtscxml-everywhere-src (5.12.5-2) unstable; urgency=medium

  * Update debian/libqt5scxml5.symbols from armel log.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 19:24:07 +0300

qtscxml-everywhere-src (5.12.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Improve the doc-base file.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Update debian/libqt5scxml5.symbols from buildds’ logs.
  * Add myself and Lisandro to Uploaders.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Oct 2019 12:53:10 +0300

qtscxml-everywhere-src (5.12.2-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Initial release (Closes: #880516)

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Apr 2019 10:17:18 +0300

=== debian/control ===
Source: qtscxml-everywhere-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 11),
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.5+dfsg~),
               qtbase5-private-dev (>= 5.12.5+dfsg~),
               qtdeclarative5-dev (>= 5.12.5~),
               qtdeclarative5-private-dev (>= 5.12.5~),
               xauth,
               xvfb
Build-Depends-Indep: doc-base,
                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
                     qtdeclarative5-doc-html (>= 5.12.5~) <!nodoc>,
                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
Standards-Version: 4.4.1
Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml

Package: libqt5scxml5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5scxml5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt module for creating state machines from SCXML files development
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the development files for qtscxml.

Package: libqt5scxml5-bin
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libqt5scxml5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt module for creating state machines from SCXML files helper
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the helper binary for qtscxml.

Package: libqt5scxml5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt module for creating state machines from SCXML files library
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.

Package: qml-module-qtscxml
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt scxml QML module
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package provides a QML module for Qt scxml.

Package: qtscxml5-examples
Section: x11
Architecture: any
Multi-Arch: same
Depends: qml-module-qtscxml, ${misc:Depends}, ${shlibs:Depends}
Description: Qt SCXML examples
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains Qt 5 SCXML examples.

Package: qtscxml5-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt SCXML QCH documentation
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the documentation in QCH format, which can be
 viewed using Qt Assistant from qttools5-dev-tools package.

Package: qtscxml5-doc-html
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt SCXML HTML documentation
 The Qt SCXML module provides functionality to create state
 machines from SCXML files. This includes both dynamically
 creating state machines (loading the SCXML file and instantiating
 states and transitions) and generating a C++ file that has a class
 implementing the state machine. It also contains functionality
 to support data models and executable content.
 .
 This package contains the documentation in HTML format.

## qtscxml-everywhere-src 5.12.8

=== debian/changelog ===
qtscxml-everywhere-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.
  * Update debian/libqt5scxml5.symbols from 5.12.5 riscv64 log.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 15:16:46 +0300

qtscxml-everywhere-src (5.12.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: qtscxml-everywhere-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
-               qtdeclarative5-dev (>= 5.12.5~),
-               qtdeclarative5-private-dev (>= 5.12.5~),
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
+               qtdeclarative5-dev (>= 5.12.8~),
+               qtdeclarative5-private-dev (>= 5.12.8~),
                xauth,
                xvfb
 Build-Depends-Indep: doc-base,
-                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.12.5~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+                     qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.12.8~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	$(MAKE) install_docs -Csrc INSTALL_ROOT=$(CURDIR)/debian/tmp

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build path from prl file.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5Scxml.prl

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test-arch:
	xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
		dh_auto_test -- -Ctests/auto

override_dh_auto_test-indep:

=== debian/watch ===
version=4

opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtscxml-everywhere-src-([^-]*)\.tar\.xz

## qtscxml-everywhere-src 5.14.2

=== debian/changelog ===
qtscxml-everywhere-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:50:11 +0300

qtscxml-everywhere-src (5.14.2-1) experimental; urgency=medium

  * New upstream release (closes: #959663).
  * Bump Qt build-dependencies to 5.14.2.
  * Update to debhelper compat level 13.
    - Build-depend on debhelper-compat virtual package.
    - Drop dh_missing override, no longer needed.
  * Drop unneeded build-dependency on doc-base.
  * Add support for nocheck build profile.
  * Update debian/libqt5scxml5.symbols from buildds’ and the current log.
    - Mark QStringRef::compare symbol as optional (closes: #957733).
  * Make libqt5scxml5-dev depend on libqt5scxml5-bin (closes: #953435).
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 May 2020 18:23:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: qtscxml-everywhere-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-dev (>= 5.12.8~),
-               qtdeclarative5-private-dev (>= 5.12.8~),
-               xauth,
-               xvfb
-Build-Depends-Indep: doc-base,
-                     qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.12.8~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Standards-Version: 4.5.0
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml
@@ -27,7 +25,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libqt5scxml5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Depends: libqt5scxml5 (= ${binary:Version}),
+         libqt5scxml5-bin (= ${binary:Version}),
+         qtbase5-dev,
+         ${misc:Depends}
 Description: Qt module for creating state machines from SCXML files development
  The Qt SCXML module provides functionality to create state
  machines from SCXML files. This includes both dynamically

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 	# Reproducible builds: remove build path from prl file.
 	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5Scxml.prl
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_auto_test-arch:
 	xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
 		dh_auto_test -- -Ctests/auto

## qtscxml-everywhere-src 5.15.2

=== debian/changelog ===
qtscxml-everywhere-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:13 +0300

qtscxml-everywhere-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Bump ABI version to qtscxml-abi-5-15-2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 21:41:22 +0300

qtscxml-everywhere-src (5.15.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:57 +0300

qtscxml-everywhere-src (5.15.1-2) experimental; urgency=medium

  [ Daniele E. Domenichelli ]
  * Enable libqt5scxml5-private-dev package (closes: #953156).

  [ Dmitry Shachnev ]
  * Provide a virtual ABI package and make private symbols depend on it.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Oct 2020 12:34:09 +0300

qtscxml-everywhere-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update debian/libqt5scxml5.symbols from the current build log.
  * Remove -Wl,--as-needed flag, it is the default in Bullseye.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Sep 2020 21:10:12 +0300

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,18 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.1
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml
@@ -25,6 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Provides: qtscxml-abi-5-15-2
 Depends: libqt5scxml5 (= ${binary:Version}),
          libqt5scxml5-bin (= ${binary:Version}),
          qtbase5-dev,
@@ -38,6 +41,24 @@
  to support data models and executable content.
  .
  This package contains the development files for qtscxml.
+
+Package: libqt5scxml5-private-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libqt5scxml5-dev (= ${binary:Version}),
+         qtbase5-private-dev,
+         ${misc:Depends}
+Description: Qt SCXML private development files
+ The Qt SCXML module provides functionality to create state
+ machines from SCXML files. This includes both dynamically
+ creating state machines (loading the SCXML file and instantiating
+ states and transitions) and generating a C++ file that has a class
+ implementing the state machine. It also contains functionality
+ to support data models and executable content.
+ .
+ This package contains the private development files for Qt SCXML.
+ Use at your own risk.
 
 Package: libqt5scxml5-bin
 Architecture: any

## qtscxml-everywhere-src 5.15.3

=== tests/auto/cmake/test_qtscxml_module/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(test_qtscxml_module)

find_package(Qt5Scxml REQUIRED)

set(MAIN_SRCS main.cpp)
qt5_add_statecharts(MAIN_SRCS
    ../../compiled/connection.scxml

    # unused, just for testing whether it's possible to pass multiple files
    ../../compiled/topmachine.scxml
)
add_executable(mainapp ${MAIN_SRCS})
target_include_directories(mainapp PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(mainapp Qt5::Scxml)

=== debian/changelog ===
qtscxml-everywhere-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump ABI version to 5-15-3.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 18:48:34 +0300

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.2+dfsg~),
-               qtbase5-private-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.2+dfsg~),
+               qtbase5-dev (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml
@@ -27,7 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-2
+Provides: qtscxml-abi-5-15-3
 Depends: libqt5scxml5 (= ${binary:Version}),
          libqt5scxml5-bin (= ${binary:Version}),
          qtbase5-dev,

## qtscxml-everywhere-src 5.15.6

=== debian/changelog ===
qtscxml-everywhere-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.
  * Bump ABI version to 5-15-6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:52:31 +0300

qtscxml-everywhere-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Bump ABI version to 5-15-5.
  * Update debian/copyright.
  * Make the new QML test pass:
    - Build-depend on qml-module-qttest.
    - Pass LD_LIBRARY_PATH and QML2_IMPORT_PATH when running tests.
  * Update debian/libqt5scxml5.symbols from the current build log.
  * Move "Provides: qtscxml-abi-5-15-5" to library package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 21:58:42 +0300

qtscxml-everywhere-src (5.15.4-2) unstable; urgency=medium

  * Use symver directive to catch all private symbols at once.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:44 +0300

qtscxml-everywhere-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump ABI version to 5-15-4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:56:45 +0300

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.3+dfsg~),
-               qtbase5-private-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
+               qml-module-qttest (>= 5.15.6+dfsg~),
+               qtbase5-dev (>= 5.15.6+dfsg~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml
@@ -27,7 +28,6 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-3
 Depends: libqt5scxml5 (= ${binary:Version}),
          libqt5scxml5-bin (= ${binary:Version}),
          qtbase5-dev,
@@ -78,6 +78,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
+Provides: qtscxml-abi-5-15-6
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state

## qtscxml-everywhere-src 5.15.8

=== debian/changelog ===
qtscxml-everywhere-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:02 +0400

qtscxml-everywhere-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump ABI version to 5-15-8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:56:12 +0400

qtscxml-everywhere-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:27 +0300

qtscxml-everywhere-src (5.15.7-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qtscxml5-doc, qtscxml5-doc-html: Add Multi-Arch: foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.
  * Bump ABI version to 5-15-7.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:21:33 +0300

qtscxml-everywhere-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:48 +0300

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.6+dfsg~),
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
+               qml-module-qttest (>= 5.15.8+dfsg~),
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml
@@ -78,7 +78,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-6
+Provides: qtscxml-abi-5-15-8
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state
@@ -122,6 +122,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Qt SCXML QCH documentation
  The Qt SCXML module provides functionality to create state
  machines from SCXML files. This includes both dynamically
@@ -138,6 +139,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Qt SCXML HTML documentation
  The Qt SCXML module provides functionality to create state
  machines from SCXML files. This includes both dynamically

=== debian/watch ===
version=4

opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtscxml-everywhere-opensource-src-([^-]*)\.tar\.xz

## qtscxml-everywhere-src 5.15.9

=== debian/changelog ===
qtscxml-everywhere-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.
  * Bump ABI version to 5-15-9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 20:58:43 +0300

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.8+dfsg~),
-               qtbase5-dev (>= 5.15.8+dfsg~),
-               qtbase5-private-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
+               qml-module-qttest (>= 5.15.9+dfsg~),
+               qtbase5-dev (>= 5.15.9+dfsg~),
+               qtbase5-private-dev (>= 5.15.9+dfsg~),
+               qtdeclarative5-dev (>= 5.15.9+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.9+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.9+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.9+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
@@ -78,7 +78,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-8
+Provides: qtscxml-abi-5-15-9
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state

## qtscxml-everywhere-src 5.15.10

=== debian/changelog ===
qtscxml-everywhere-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:17:12 +0300

qtscxml-everywhere-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.
  * Bump ABI version to 5-15-10.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 00:07:30 +0300

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.9+dfsg~),
-               qtbase5-dev (>= 5.15.9+dfsg~),
-               qtbase5-private-dev (>= 5.15.9+dfsg~),
-               qtdeclarative5-dev (>= 5.15.9+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.9+dfsg~),
+               qml-module-qttest (>= 5.15.10+dfsg~),
+               qtbase5-dev (>= 5.15.10+dfsg~),
+               qtbase5-private-dev (>= 5.15.10+dfsg~),
+               qtdeclarative5-dev (>= 5.15.10+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.10+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.9+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.9+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
@@ -78,7 +78,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-9
+Provides: qtscxml-abi-5-15-10
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state

## qtscxml-everywhere-src 5.15.13

=== debian/changelog ===
qtscxml-everywhere-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.
  * Bump ABI version to 5-15-13.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Mar 2024 20:13:14 +0300

qtscxml-everywhere-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Bump ABI version to 5-15-12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 20:05:41 +0300

qtscxml-everywhere-src (5.15.10-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Add libqt5scxml5-bin to cross Build-Depends (Closes: #1052178).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Set Rules-Requires-Root to no.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 20 Sep 2023 15:11:29 -0300

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,22 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               libqt5scxml5-bin <cross>,
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.10+dfsg~),
-               qtbase5-dev (>= 5.15.10+dfsg~),
-               qtbase5-private-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.10+dfsg~),
+               qml-module-qttest (>= 5.15.13+dfsg~),
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml
@@ -78,7 +80,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-10
+Provides: qtscxml-abi-5-15-13
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 export QT_SELECT := qt5
 
 %:
@@ -27,6 +27,7 @@
 
 override_dh_auto_test-arch:
 	xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
-		dh_auto_test -- -Ctests/auto
+		dh_auto_test -- -Ctests/auto \
+		LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/qml
 
 override_dh_auto_test-indep:

## qtscxml-everywhere-src 5.15.15

=== debian/changelog ===
qtscxml-everywhere-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:44:32 +0300

qtscxml-everywhere-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump ABI version to 5-15-15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Sep 2024 12:23:29 +0300

qtscxml-everywhere-src (5.15.13-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:50:36 +0300

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,22 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libqt5scxml5-bin <cross>,
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.13+dfsg~),
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qml-module-qttest (>= 5.15.15+dfsg~),
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
@@ -80,7 +79,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-13
+Provides: qtscxml-abi-5-15-15
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state

## qtscxml-everywhere-src 5.15.17+p24.04+vrelease+git20250828.1414

=== debian/changelog ===
qtscxml-everywhere-src (5.15.17+p24.04+vrelease+git20250828.1414-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:14:47 +0000

qtscxml-everywhere-src (5.15.17-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtscxml-everywhere-src (5.15.13-0neon) UNRELEASED; urgency=medium

  * new version rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 11:07:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: qtscxml-everywhere-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Dmitry Shachnev <mitya57@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libqt5scxml5-bin <cross>,
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.15+dfsg~),
-               qtbase5-dev (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
+               qml-module-qttest (>= 5.15.8+dfsg~),
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtscxml.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtscxml
+Vcs-Git: https://invent.kde.org/neon/qt/qtscxml.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtscxml
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5scxml5-dev
 Section: libdevel
@@ -79,7 +78,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-15
+Provides: qtscxml-abi-5-15-8
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state

## qtscxml-everywhere-src 5.15.17+p24.04+vstable+git20250828.1440

=== debian/changelog ===
qtscxml-everywhere-src (5.15.17+p24.04+vstable+git20250828.1440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:40:31 +0000

qtbase-opensource-src (5.15.9-0neon) UNRELEASED; urgency=medium

  * new version rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 11:07:13 +0000

## qtscxml-everywhere-src 5.15.17+p24.04+vunstable+git20250828.1441

=== debian/changelog ===
qtscxml-everywhere-src (5.15.17+p24.04+vunstable+git20250828.1441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:41:10 +0000

qtscxml-everywhere-src (5.15.13-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Mar 2024 20:33:24 -0300

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Section: libs
 Priority: optional
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               libqt5scxml5-bin <cross>,
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.8+dfsg~),
-               qtbase5-dev (>= 5.15.8+dfsg~),
-               qtbase5-private-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
+               qml-module-qttest (>= 5.15.13+dfsg~),
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtscxml-index.html
 Vcs-Git: https://invent.kde.org/neon/qt/qtscxml.git
 Vcs-Browser: https://invent.kde.org/neon/qt/qtscxml
@@ -78,7 +79,7 @@
 Package: libqt5scxml5
 Architecture: any
 Multi-Arch: same
-Provides: qtscxml-abi-5-15-8
+Provides: qtscxml-abi-5-15-13
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt module for creating state machines from SCXML files library
  The Qt SCXML module provides functionality to create state
